#pragma once

#include "opener_resource.h"

/* Support for providing access to files. */

class TestFileOpener : public OpenerResource
{
protected:
    offset_t _file_size;

    /* Configurable methods. */

    virtual fileid_t get_fileid(const char *path);

    virtual Accessor *make_accessor(fileid_t fileid);

public:
    explicit TestFileOpener(Pages *pages, offset_t file_size=0);
};

// vim: tabstop=4 expandtab shiftwidth=4
